package com.bb.dao;

import java.util.HashMap;
import java.util.List;

import com.bb.model.BetParam;
import com.bb.model.NexusTrplVO;
import com.bb.model.TransSearchVO;

public interface TransDao {

	int getTransBetListCnt(TransSearchVO search);

	List<HashMap<String, Object>> getTransBetList(TransSearchVO search);

	HashMap<String, Object> getTransBetListSum(TransSearchVO search);

	int getTransBetFastListCnt(TransSearchVO search);

	List<HashMap<String, String>> getTransBetFastList(TransSearchVO search);

	HashMap<String, Object> getBetListItem(String betId);

	HashMap<String, String> getTransBetFastListSum(TransSearchVO search);

	HashMap getBetInfoByBetId(BetParam param);

	String getGsoftRoundIdByBetId(String betId);

	HashMap getSiteBetByRefIdFromOld(BetParam param);

	HashMap<String, String> getApiInfo(String vendorTitle);

	int deleteEvoDetailNull(HashMap detailMap);

}
